package com.yunzhupaas.message.service;


import com.yunzhupaas.base.service.SuperService;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.*;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhupaas.message.entity.MessageMonitorEntity;
import com.yunzhupaas.message.model.messagemonitor.*;

/**
 * 消息监控
 * 版本： V3.2.0
 * 版权： 深圳市乐程软件有限公司（http://www.szlecheng.cn）
 * 作者： 云筑产品开发平台组
 * 日期： 2022-08-22
 */
public interface MessageMonitorService extends SuperService<MessageMonitorEntity> {


    List<MessageMonitorEntity> getList(MessageMonitorPagination messageMonitorPagination);

    List<MessageMonitorEntity> getTypeList(MessageMonitorPagination messageMonitorPagination, String dataType);


    MessageMonitorEntity getInfo(String id);

    void delete(MessageMonitorEntity entity);

    void create(MessageMonitorEntity entity);

    boolean update(String id, MessageMonitorEntity entity);

//  子表方法

    //列表子表数据方法

    //验证表单
    boolean checkForm(MessageMonitorForm form, int i);


    String userSelectValues(String ids);

    /**
     * 删除
     * @param ids
     * @return
     */
    boolean delete(String[] ids);

    void emptyMonitor();
}

